# C++ keywords: union

From cppreference.com
< cpp‎ | keyword

### Usage

- declaration of a union type
- If a function or a variable exists in scope with the name identical to the name of a union type, `union` can be prepended to the name for disambiguation, resulting in an elaborated type specifier

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/keyword/union&oldid=109173"